Bug 64629 - Umbrella bug: implement transferable typed array support.
: Umbrella bug: implement transferable typed array support.
Status: UNCONFIRMED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 63481 65209 66578 66829
:
  Show dependency treegraph
 
Reported: 2011-07-15 14:32 PST by
Modified: 2014-01-22 11:29 PST (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-07-15 14:32:34 PST
Typed arrays should become Transferable (ref. http://www.whatwg.org/specs/web-apps/current-work/complete/common-dom-interfaces.html#transferable-objects)-- that is, it should be possible to pass a typed array using postMessage such that control of the data is sent but the array's data is not copied.
------- Comment #1 From 2011-11-03 11:29:25 PST -------
After more discussion on public-webapps, only the ArrayBuffer type will be Transferable -- the typed array views will not be.

Note, though, that transfer of an ArrayBuffer necessitates side-effects on the views that refer to it, in order to cause their lengths to go to zero. However, this is essentially an implementation detail.

I suspect that this bug should be closed, and the work done under Issue 66578.
------- Comment #2 From 2011-11-03 11:53:00 PST -------
(In reply to comment #1)
> this bug should be closed, and the work done under Issue 66578.

This is just the master bug for the feature. I suspect there will be no patches for it directly, and it will be resolved after all bugs that it depends on have been resolved.
------- Comment #3 From 2011-11-03 11:57:49 PST -------
(In reply to comment #2)
> (In reply to comment #1)
> > this bug should be closed, and the work done under Issue 66578.
> 
> This is just the master bug for the feature. I suspect there will be no patches for it directly, and it will be resolved after all bugs that it depends on have been resolved.

fwiw like this: https://bugs.webkit.org/show_bug.cgi?id=68822
------- Comment #4 From 2011-11-03 16:17:42 PST -------
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > this bug should be closed, and the work done under Issue 66578.
> > 
> > This is just the master bug for the feature. I suspect there will be no patches for it directly, and it will be resolved after all bugs that it depends on have been resolved.
> 
> fwiw like this: https://bugs.webkit.org/show_bug.cgi?id=68822

I see. I wasn't sure which was the umbrella bug.